From a17bb2856bacae4231fdb4a7c8d87e31d680f0bd Mon Sep 17 00:00:00 2001
From: Craig Tiller <ctiller@google.com>
Date: Wed, 2 Dec 2015 13:10:34 -0800
Subject: [PATCH] PHP fix

---
 src/core/iomgr/iomgr.c   | 1 -
 src/php/bin/run_tests.sh | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/core/iomgr/iomgr.c b/src/core/iomgr/iomgr.c
index 5bba40bc9b..212ce5534d 100644
--- a/src/core/iomgr/iomgr.c
+++ b/src/core/iomgr/iomgr.c
@@ -116,7 +116,6 @@ void grpc_iomgr_shutdown(void) {
                     "memory leaks are likely",
                     count_objects());
             dump_objects("LEAKED");
-            abort();
           }
           break;
         }
diff --git a/src/php/bin/run_tests.sh b/src/php/bin/run_tests.sh
index 2a7335e20a..235d161ca7 100755
--- a/src/php/bin/run_tests.sh
+++ b/src/php/bin/run_tests.sh
@@ -30,7 +30,7 @@
 
 # Loads the local shared library, and runs all of the test cases in tests/
 # against it
-set -e
+set -ex
 cd $(dirname $0)/../../..
 root=$(pwd)
 cd src/php/bin
-- 
GitLab